POST
/
webhooks
curl -X POST https://api.stableyard.fi/v2/webhooks \
  -H "Authorization: Bearer sy_secret_*" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://your-app.com/webhooks/stableyard",
    "events": ["payment.settled", "payment.failed", "deposit.detected"]
  }'
{
  "object": "webhook",
  "id": "wh_abc123",
  "url": "https://your-app.com/webhooks/stableyard",
  "events": ["payment.settled", "payment.failed", "deposit.detected"],
  "secret": "whsec_xxx",
  "createdAt": "2026-03-18T10:20:30.000Z",
  "requestId": "req_abc123"
}
Register a webhook URL to receive event notifications. Auth: sy_secret_*
url
string
required
HTTPS URL to receive webhook events. Must use https://.
events
array
required
List of event types to subscribe to. Valid events:
  • session.created
  • payment.pending
  • payment.routing
  • payment.settled
  • payment.failed
  • session.expired
  • deposit.detected
  • refund.created
  • refund.settled
  • refund.failed
  • dispute.flagged
  • dispute.resolved
curl -X POST https://api.stableyard.fi/v2/webhooks \
  -H "Authorization: Bearer sy_secret_*" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://your-app.com/webhooks/stableyard",
    "events": ["payment.settled", "payment.failed", "deposit.detected"]
  }'
{
  "object": "webhook",
  "id": "wh_abc123",
  "url": "https://your-app.com/webhooks/stableyard",
  "events": ["payment.settled", "payment.failed", "deposit.detected"],
  "secret": "whsec_xxx",
  "createdAt": "2026-03-18T10:20:30.000Z",
  "requestId": "req_abc123"
}
secret
string
required
Webhook signing secret. Use this to verify incoming webhook payloads.